import QtQuick 2.0

import "Config.js" as Config

HighwayLoadItemBase
{
   property alias highwayLevel: loadLevelItem.loadLevelValue
   property alias highwayDirection: directionText.text

   property alias posX: loadLevelItem.x

   property int paintedWidth: loadLevelItem.paintedWidth + directionText.paintedWidth

   FontLoader
   {
      id: textFont
      source : Config.HighwayLoadLevelTextFontSource
   }

   LoadLevelItem
   {
      id: loadLevelItem

      x: Config.HighwayLoadLevelItemX
      y: Config.HighwayLoadLevelItemY
      height: Config.HighwayLoadLevelItemHeight
      width: Config.HighwayLoadLevelItemWidth

      loadLevelTextEnable:      Config.HighwayLoadLevelItemTextVisible
      loadLevelTextColorful:    Config.HighwayLoadLevelTextColorful
      loadLevelTextLong:        Config.HighwayLoadLevelItemTextLong
      loadLevelTextFontSize:    Config.HighwayLoadLevelTextFontSize
      loadLevelTextFontFamily:  textFont.name
      loadLevelTextFontWeight:  Config.HighwayLoadLevelFontBold
      loadLevelTextUnitFontBold: Config.HighwayLoadLevelUnitFontBold
      loadLevelTextColorDefault: Config.HighwayLoadLevelItemTextColorDefault
      loadLevelTextColorGreen:  Config.HighwayLoadLevelItemTextColorGreen
      loadLevelTextColorYellow: Config.HighwayLoadLevelItemTextColorYellow
      loadLevelTextColorRed:    Config.HighwayLoadLevelItemTextColorRed
      loadLevelIconEnable:      Config.HighwayLoadLevelItemImageVisible
      loadLevelIconXPosition:   Config.HighwayLoadLevelItemImageX
      loadLevelIconYPosition:   Config.HighwayLoadLevelItemImageY
      loadLevelIconWidth:       Config.HighwayLoadLevelItemImageWidth
      loadLevelItemsSpacing:    Config.HighwayLoadLevelItemsSpacing
      loadLevelRingVisible:     Config.HighwayLoadLevelRingVisible
      loadLevelRingSize:       Config.HighwayLoadLevelRingSize
   }

   ColorfulText
   {
      id: directionText
      font.pointSize: Config.HighwayLoadLevelTextFontSize
      font.family: textFont.name
      x: posX + loadLevelItem.paintedWidth + Config.HighwayDirectionTextXOffset
      y: Config.HighwayDirectionTextY
      width: Config.HighwayLoadWidgetWidth - posX - loadLevelItem.paintedWidth
      elide: Text.ElideRight
      font.bold: Config.HighwayDirectionFontBold
      isColorful: Config.HighwayDirectionTextColorful
      loadlLevelValue: highwayLevel
      colorDefault: Config.HighwayLoadLevelItemTextColorDefault
      colorGreen: Config.HighwayLoadLevelItemTextColorGreen
      colorYellow:  Config.HighwayLoadLevelItemTextColorYellow
      colorRed: Config.HighwayLoadLevelItemTextColorRed
   }
}
